Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.farmaco.vo.consultazioneprontuariofarmaceutico
Class ConsultazioneProntuarioFarmaceuticoRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.farmaco.vo.consultazioneprontuariofarmaceutico.ConsultazioneProntuarioFarmaceuticoRequest

    public class ConsultazioneProntuarioFarmaceuticoRequest

extends java.lang.Object

Criteri di ricerca dei farmaci nel prontuario farmaceutico nazionale, nel prontuario ospedaliero e tra i farmaci appartenenti al PHT inclusi nel prontuario farmaceutico nazionale.

- archivio di ricerca obbligatorio
- data di riferimento obbligatorio
- codice ministeriale farmaco
- descrizione farmaco
- A.T.C.
- nota AIFA
- fascia di concedibilità
- casa farmaceutica
- tipo di farmaco obbligatorio

Se viene specificato il codice ministeriale del farmaco vengono ignorati gli altri criteri di ricerca.

Version:
  1.1
Author:
  BisceglieR, CoppiR

Field Summary
`private java.lang.String` | `codAtc` Codice A.T.C.
`private java.lang.String` | `codCasaFarmaceutica` Codice casa farmaceutica
`private java.lang.String` | `codFasciaConcedibilita` Codice fascia di concedibilità: 0 - fascia A, 1 - fascia B, 3 - fascia C, 8 - fascia B2 (esistente fino al 27/08/2007), A - PARAFARMACEUTICI E PRODOTTI ZOOTECNICI, H - fascia H, M - fascia P
`private java.lang.String` | `codMinisteriale` Codice ministaeriale farmaco
`private java.lang.String` | `codNota` Nota AIFA
`private int` | `codTipoFarmaco` Tipologia di farmaco: 1 - medicinale uso umano (specialità), 2 - medicinale denominazione generica, 3 - parafarmaco, 4 - farmaco con duplice via di somministrazione
`private java.lang.String` | `dataRiferimento` Data di riferimento
`private java.lang.String` | `descFarmaco` Descrizione (anche parziale) farmaco
`private int` | `tipoArchivio` Archivio di ricerca (obbligatorio): 1 - prontuario nazionale, 2 - prontuario ospedaliero, 3 - farmaci PHT

Constructor Summary
`ConsultazioneProntuarioFarmaceuticoRequest()`

Method Summary
`java.lang.String` | `getCodAtc()`
`java.lang.String` | `getCodCasaFarmaceutica()`
`java.lang.String` | `getCodFasciaConcedibilita()`
`java.lang.String` | `getCodMinisteriale()`
`java.lang.String` | `getCodNota()`
`int` | `getCodTipoFarmaco()`
`java.lang.String` | `getDataRiferimento()`
`java.lang.String` | `getDescFarmaco()`
`int` | `getTipoArchivio()`
`void` | `setCodAtc(java.lang.String codAtc)`
`void` | `setCodCasaFarmaceutica(java.lang.String codCasaFarmaceutica)`
`void` | `setCodFasciaConcedibilita(java.lang.String codFasciaConcedibilita)`
`void` | `setCodMinisteriale(java.lang.String codMinisteriale)`
`void` | `setCodNota(java.lang.String codNota)`
`void` | `setCodTipoFarmaco(int codTipoFarmaco)`
`void` | `setDataRiferimento(java.lang.String dataRiferimento)`
`void` | `setDescFarmaco(java.lang.String descFarmaco)`
`void` | `setTipoArchivio(int tipoArchivio)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tipoArchivio

    @Facets(minInclusive=1L,
            maxInclusive=3L)
    private int tipoArchivio

  Archivio di ricerca (obbligatorio): 1 - prontuario nazionale, 2 - prontuario ospedaliero, 3 - farmaci PHT

### dataRiferimento

    @Facets(pattern="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}")
    private java.lang.String dataRiferimento

  Data di riferimento

### codMinisteriale

    @Facets(pattern="[0-9]*",
            maxLength=10L)
    private java.lang.String codMinisteriale

  Codice ministaeriale farmaco

### descFarmaco

    private java.lang.String descFarmaco

  Descrizione (anche parziale) farmaco

### codAtc

    @Facets(maxLength=7L)
    private java.lang.String codAtc

  Codice A.T.C.

### codNota

    @Facets(maxLength=3L)
    private java.lang.String codNota

  Nota AIFA

### codFasciaConcedibilita

    private java.lang.String codFasciaConcedibilita

  Codice fascia di concedibilità: 0 - fascia A, 1 - fascia B, 3 - fascia C, 8 - fascia B2 (esistente fino al 27/08/2007), A - PARAFARMACEUTICI E PRODOTTI ZOOTECNICI, H - fascia H, M - fascia P

### codCasaFarmaceutica

    private java.lang.String codCasaFarmaceutica

  Codice casa farmaceutica

### codTipoFarmaco

    @Facets(minInclusive=1L,
            maxInclusive=4L)
    private int codTipoFarmaco

  Tipologia di farmaco: 1 - medicinale uso umano (specialità), 2 - medicinale denominazione generica, 3 - parafarmaco, 4 - farmaco con duplice via di somministrazione

Constructor Detail

### ConsultazioneProntuarioFarmaceuticoRequest

    public ConsultazioneProntuarioFarmaceuticoRequest()

Method Detail

### getTipoArchivio

    public int getTipoArchivio()

### setTipoArchivio

    public void setTipoArchivio(int tipoArchivio)

### getDataRiferimento

    public java.lang.String getDataRiferimento()

### setDataRiferimento

    public void setDataRiferimento(java.lang.String dataRiferimento)

### getCodMinisteriale

    public java.lang.String getCodMinisteriale()

### setCodMinisteriale

    public void setCodMinisteriale(java.lang.String codMinisteriale)

### getDescFarmaco

    public java.lang.String getDescFarmaco()

### setDescFarmaco

    public void setDescFarmaco(java.lang.String descFarmaco)

### getCodAtc

    public java.lang.String getCodAtc()

### setCodAtc

    public void setCodAtc(java.lang.String codAtc)

### getCodNota

    public java.lang.String getCodNota()

### setCodNota

    public void setCodNota(java.lang.String codNota)

### getCodFasciaConcedibilita

    public java.lang.String getCodFasciaConcedibilita()

### setCodFasciaConcedibilita

    public void setCodFasciaConcedibilita(java.lang.String codFasciaConcedibilita)

### getCodCasaFarmaceutica

    public java.lang.String getCodCasaFarmaceutica()

### setCodCasaFarmaceutica

    public void setCodCasaFarmaceutica(java.lang.String codCasaFarmaceutica)

### getCodTipoFarmaco

    public int getCodTipoFarmaco()

### setCodTipoFarmaco

    public void setCodTipoFarmaco(int codTipoFarmaco)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD